Robert Munteanu commented on SLING-6112:

OK, let me take a look and see how obvious this is. My worry is that after 
upgrading and things stop working no one will be looking for the quick fix.

> Make Sling IDE independent of m2e-tycho
> ---------------------------------------
>                 Key: SLING-6112
>                 URL: https://issues.apache.org/jira/browse/SLING-6112
>             Project: Sling
>          Issue Type: Improvement
>          Components: Tooling
>    Affects Versions: Sling Eclipse IDE 1.1.0
>            Reporter: Konrad Windszus
>            Assignee: Robert Munteanu
>             Fix For: Sling Eclipse IDE 1.1.2
>         Attachments: SLING-6112-v01.patch, SLING-6112-v02.patch, 
> SLING-6112-v03.patch
> Currently Sling IDE requires the installation of m2e-tycho. This was being 
> added in https://issues.apache.org/jira/browse/SLING-3608. Now that the 
> maven-bundle-plugin ships with m2e support OOTB (FELIX-4009) we should get 
> rid of that dependency.
> This is also important since newer versions of the maven-bundle-plugin 
> conflict with that extension 
> (https://issues.apache.org/jira/browse/FELIX-4009?focusedCommentId=15192263&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-15192263).
> See also the discussion at 
> http://www.mail-archive.com/dev@sling.apache.org/msg60112.html.

This message was sent by Atlassian JIRA

Reply via email to